    Include a spatial region of a data set.

notice2d_id(ids, val=None)
ids - int or str, or array of int or str
val - str, optional

Select a spatial region to include in the fit. The filter is applied to the given data set, or sets.

Select all the pixels in the default data set:

>>> notice2d_id(1) dataset 1: Circle(100,45,10) -> Field()

Select all the pixels in data sets 'i1' and 'i2':

>>> notice2d_id(['i1', 'i2'])

Apply the filter to the 'img' data set:

>>> notice2d_id('img', 'annulus(4324.2,3982.2,40.2,104.3)') dataset 1: Field() -> annulus(4324.2,3982.2,40.2,104.3)

Use the regions in the file `srcs.reg` for data set 1:

>>> notice2d_id(1, 'srcs.reg')

or

>>> notice2d_id(1, 'region(srcs.reg)')

PARAMETERS

The parameters for this function are:

Parameter
Definition
ids
The data set, or sets, to use.
val
A region specification as a string or the name of a file containing a region filter. The coordinates system of the filter is taken from the coordinate setting of the data sets ( `set_coord` ). If none , then all points are included.

Notes

The region syntax is described in the `notice2d` function.

Changes in CIAO

The change in the filter is now reported for the dataset.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023